Package com.enonic.xp.support

## Class JsonTestHelper

- java.lang.Object
- - com.enonic.xp.support.JsonTestHelper

-     public class JsonTestHelper
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JsonTestHelper​(Object testInstance)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `assertJsonEquals​(com.fasterxml.jackson.databind.JsonNode expectedJson, com.fasterxml.jackson.databind.JsonNode actualJson)` |
    `String` | `jsonToString​(com.fasterxml.jackson.databind.JsonNode value)` |
    `com.fasterxml.jackson.databind.JsonNode` | `loadTestJson​(String fileName)` |
    `com.fasterxml.jackson.databind.ObjectReader` | `objectReader()` |
    `com.fasterxml.jackson.databind.JsonNode` | `objectToJson​(Object value)` |
    `String` | `objectToString​(Object value)` |
    `com.fasterxml.jackson.databind.JsonNode` | `stringToJson​(String jsonString)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonTestHelper

          public JsonTestHelper​(Object testInstance)

  - ### Method Detail

    - #### objectReader

          public com.fasterxml.jackson.databind.ObjectReader objectReader()

    - #### loadTestJson

          public com.fasterxml.jackson.databind.JsonNode loadTestJson​(String fileName)

    - #### jsonToString

          public String jsonToString​(com.fasterxml.jackson.databind.JsonNode value)

    - #### objectToString

          public String objectToString​(Object value)

    - #### objectToJson

          public com.fasterxml.jackson.databind.JsonNode objectToJson​(Object value)

    - #### stringToJson

          public com.fasterxml.jackson.databind.JsonNode stringToJson​(String jsonString)

    - #### assertJsonEquals

          public void assertJsonEquals​(com.fasterxml.jackson.databind.JsonNode expectedJson,
                                       com.fasterxml.jackson.databind.JsonNode actualJson)